import { OnInit, EventEmitter } from '@angular/core';
import { Tree } from '../../models/tree.model';
import { IconDefinition } from '@fortawesome/free-solid-svg-icons';
import { Leaf } from '../../models/leaf.model';
import { LeafClickedEvent } from '../../models/leaf-clicked-event.model';
import { ILoggingService } from '../../interfaces/ILoggingService.interface';
import { NgxBootstrapTreeviewMapper } from '../../utils/ngx-bootstrap-treeview-mapper';
export declare class NgxBootstrapTreeviewComponent implements OnInit {
    leafClicked: EventEmitter<LeafClickedEvent>;
    loggingService: ILoggingService;
    tree: Tree;
    trees: Tree[];
    mapper: NgxBootstrapTreeviewMapper<Object, Object>;
    item: Object;
    items: Object[];
    isOpened: boolean;
    canSelectBranch: boolean;
    openedFolderIcon: IconDefinition;
    closedFolderIcon: IconDefinition;
    unselectedLeafIcon: IconDefinition;
    selectedLeafIcon: IconDefinition;
    anyChildrenSelectedIcon: IconDefinition;
    allChildrenSelectedIcon: IconDefinition;
    emptyFolderLabel: string;
    childrenState: string;
    selectedLeaves: Leaf[];
    leavesCount: number;
    isBranch: boolean;
    isLeaf: boolean;
    isRoot: boolean;
    constructor();
    ngOnInit(): void;
    itemClicked(leafClickedEvent?: LeafClickedEvent): void;
    leafClickedCallback(): void;
    countLeaves(tree: Tree): number;
    private _selectLeaf;
    private _unselectLeaf;
    private _leafClickedEventReceived;
    private _leafIndex;
    private _leafExistsIn;
}
